.tg.search
	margin-bottom: 0
	white-space: nowrap // Prevent search button from breaking

	&.-header
		+respond-to(medium)
			padding: $grid
			text-align: center
			width: 100%

	&.-topbox
		padding: ($grid / 2)
		width: ($grid * 9)

.tg.search_advanced-search-link
	border-bottom: $border-width solid transparent
	border-radius: 0
	font-size: $font-size-small
	line-height: (.75 * $grid)
	padding: 0
	position: absolute
	right: ($grid / 4)

	+hover
		background: none !important
		border-color: $link-hover-color

	+respond-to(medium)
		bottom: 0
		right: $grid

.tg.search_checkbox
	// Using `display: none` would prevent its value from being submitted
	position: absolute
	visibility: hidden

.tg.search_fake-input
	@extend %text-input
	display: table
	padding: 0 !important

.tg.search_filter
	display: table-cell

	+respond-to(medium)
		display: block

	label
		@extend %button
		+modify-button(pale, small)
		+icon('square-o')
		color: $text-color
		font-size: $font-size-small
		margin: 0 0 0 .5em
		vertical-align: middle

		&:before
			width: 13px // WORKAROUND: Checked quare is slightly wider

	:checked + label
		+auto-color-for($primary-color)
		+icon('check-square-o')
		background: $primary-color
		text-shadow: none

.tg.search_input
	@extend %text-input
	font-size: $font-size
	margin: 0 !important
	padding-right: ($grid * 2)
	width: 100%

	&.-header
		border: 0 // Border is set in wrapper .search_fake-input
		color: inherit // .aui override
		min-height: (2 * $line-height - 2 * $border-width)

	&.-main
		width: 61.8%

.tg.search_search
	display: table-cell
	width: 999em

	+respond-to(medium)
		display: block
		width: auto

.tg.search_submit
	+icon('search', false)
	+transition(color)
	background: none
	border: none
	color: $link-color
	font-size: $font-size
	height: ($grid * 2)
	margin-left: (-$grid * 2)
	padding: ($grid / 2)
	position: absolute
	width: ($grid * 2)

	&.-main
		margin-left: .5em
		margin-bottom: $grid
		max-width: 35% // Prevent button from breaking on very small screens
		position: relative
		vertical-align: top

	+hover
		color: $link-hover-color
